Advertisement purchased feature¶
Collection of features purchased for an advertisement.
Fields¶
field |
type |
constraints |
default |
Req |
W |
U |
|---|---|---|---|---|---|---|
name |
string |
one of the supported feature names |
yes |
no |
no |
|
purchaseDate |
string |
– |
yes |
no |
no |
name
Name of the purchased feature.
purchaseDate
Date on which the feature is purchased
Reference¶
GET /v2/advertisements/{itemId}/purchased-features
Get all the purchased features for a given advertisement.
Examples¶
Retrieving all purchased features :
Request :
GET /v2/advertisements/m4/purchased-features HTTP/1.1 Host: api.marktplaats.nlResponse :
HTTP/1.1 200 OK Content-Type: application/json { "_links": { "self": { "href": "/v2/advertisements/m1/purchased-features" }, "curies": { "href": "https://api.marktplaats.nl/docs/v2/rels/{rel}.html", "templated": true, "name": "mp" }, "describedby": { "href": "https://api.marktplaats.nl/docs/v2/advertisement-purchased-features.html" } }, "_embedded": { "mp:advertisement-purchased-features": [ { "name": "dagtopper", "purchaseDate": "2016-06-01T12:44:19Z" }, { "name": "dagtopper", "purchaseDate": "2016-06-01T12:46:35Z" }, { "name": "omhoogplaatsen", "purchaseDate": "2016-06-01T13:05:16Z" } ] } }